%define packname car
%global packver 2.0
# Note that some R packages do not use packrel
%define packrel 22

Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 0.rhel7.lc
Summary: Companion to Applied Regression

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/car/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    R-devel, tex(latex)
Requires:         R-core

%define debug_package %{nil}

%description
R package:
This package accompanies J. Fox, An R and S-PLUS Companion to Applied Regression, Sage, 2002. The package contains mostly functions for applied regression, linear models, and generalized linear models, with an emphasis on regression diagnostics, particularly graphical diagnostic methods. There are also some utility functions. With some exceptions, I have tried not to duplicate capabilities in the basic distribution of R, nor in widely used packages. Where relevant, the functions in car are consistent with na.action = na.omit or na.exclude.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/doc/embedding.R
%doc %{_libdir}/R/library/%{packname}/doc/embedding.Rnw
%doc %{_libdir}/R/library/%{packname}/doc/embedding.pdf
%doc %{_libdir}/R/library/%{packname}/doc/index.html
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help

%changelog
* Mon Dec 23 2019 Stuart Raeburn <raeburn@loncapa.org> (2.0.22)
- Update to 2.0-22

* Fri Jun 27 2014 Stuart Raeburn <raeburn@loncapa.org> (1.2.16)
- Initial build 

